%define upstream_name    Perl6-Doc
%define upstream_version 0.47

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl 6 Documentation Collection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(File::ShareDir::Install)
BuildArch: noarch


%description
This Perl module distribution contains all the latest Perl 6 documentation
and a utility called 'p6doc' for viewing it.

Below is the list of documents that are currently available; a number in
the column indicates, the document is currently available. An asterisk next
to a number means that the document is an unofficial draft written by a
member of the Perl community but not approved by the Perl 6 Design Team.
The pages after the first section are anyway no Design docs.

Contents
        S01  The Ugly, the Bad, and the Good   (A01)
        S02  Bits and Pieces                   (A02) (E02)
        S03  Operators                         (A03) (E03)
        S04  Syntax                            (A04) (E04)
        S05  Pattern Matching                  (A05) (E05)
        S06  Subroutines                       (A06) (E06)
             Formats                                 (E07)
        S09  Data Structures
        S10  Packages
        S11  Modules
        S12  Objects                           (A12)
        S13  Overloading
        S16* IPC / IO / Signals  
        S17* Concurrency
             Debugging                         (A20*)
        S22* CPAN
             Portable Perl
        S26  Perl Documentation
        S27* Perl Culture
        S28* Special Names
        S29  Functions
    
        F01  FAQ::Captures
        F02  FAQ::FUD
    
        O01  Overview
        O03  Overview::Operator
        O04  Overview::Smartmatch
        O05  Overview::Reduce
        O07  Overview::Variable
        O08  Overview::Data
        O10  Overview::File
        O12  Overview::Functions
        O14  Overview::Control
        O15  Overview::Subroutine
        O17  Overview::Object
        O20  Overview::Rule
    
        T01  Tutorial perlintro
    
        M01  Report on the Perl 6 Announcement
        M02  What is Perl 6 ?
        M03  A Plan for Pugs
        M04  Everyday Perl 6
        M05  Yet Another Perl 6 Operator (Microarticles)
        M06  The Beauty of Perl 6 Parameter Passing

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.470.0-9.mga8
+ Revision: 1496446
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.470.0-8.mga7
+ Revision: 1270490
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.470.0-7.mga6
+ Revision: 1031949
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.470.0-6.mga6
+ Revision: 938318
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.470.0-5.mga5
+ Revision: 747853
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.470.0-4.mga5
+ Revision: 685944
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.470.0-3.mga4
+ Revision: 514098
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.470.0-2.mga3
+ Revision: 371726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.470.0-1.mga1
+ Revision: 22744
- cleaning spec file
- imported package perl-Perl6-Doc

